<template>
  <div>
    <div>执行器管理</div>
    <div class="search"></div>
    <div>
      <el-table
        :data="tableData"
        style="width: 100%"
        :header-cell-style="{ background: '#EAF1FE', color: '#666666' }"
      >
        <el-table-column label="AppName" prop="appname" align="center" />
        <el-table-column prop="title" label="名称" align="center" />
        <el-table-column prop="addressType" label="注册方式" align="center" />
        <el-table-column
          prop="registryList"
          label="OnLine 机器地址"
          align="center"
        />
        <el-table-column label="操作" align="center" width="100">
          <template slot-scope="scope">
            <el-button type="text" @click="eliminate(scope.row)"
              >操作</el-button
            >
          </template>
        </el-table-column>
      </el-table>
    </div>
  </div>
</template>

<script>
import { jobgroupList } from "@/api/job.js";
export default {
  data() {
    return {
      tableData: [],
    };
  },
  mounted() {
    this.handleJobGroupList();
  },
  methods: {
    async handleJobGroupList() {
      const res = await jobgroupList();
      console.log(res);
      this.tableData = res;
    },
  },
};
</script>

<style lang="scss" scoped>
</style>